Subject: [PATCH 5/6] ARM: dove: Remove watchdog from DT

From: [email-masked] (Arnd Bergmann)
Date: Tue, 25 Sep 2012 12:28:25 +0000

On Tuesday 25 September 2012, Arnaud Patard wrote:
> Arnd Bergmann <[email-masked]> writes:
> >
> > The next step would be to label mach-orion5x as deprecated in Kconfig for
> > a release and change the help text so it tells people to move to mach-mvebu
> > and submit dts files.
> >
> 
> You seem to imply that every user of mach-orion5x can write a dts
> file. Please don't forget that afaik some users are using the kernel
> provided by their $distribution, so if it gets broken it may be noticed
> months later. Moreover, this kind of user won't notice the Kconfig info
> as all they'll get is a binary.

The hard part is finding those users. Once we know who they are, we can
either try to help out by writing a dts file and letting them test it,
or by assisting them in the process to write one themselves.

You certainly make a good point about users that just get pre-built
binaries. Do you think we can find them by printing a warning
message from the kernel that points to some wiki page with instructions
of how to contact people and let us know what they are using?

In case of Debian, would it be possible to use an old kernel (say, 3.7)
for as long as people need to run the with the old board files, while
at the same time moving on with 3.8 and later kernels to support only
the ones that are converted to a single binary and DT booting?

> > We should let Sebastien Requiem comment. He is the only person outside of
> > Marvell who has contributed a board file for mv78xx0. If he's interested in
> > keeping it alive, he's hopefully also able to find the time to test the
> > devicetree version of that platform in mach-mvebu. Similarly, if anyone
> > has the MASA reference design, that one could be moved over to mach-mvebu
> > first.
> 
> There are some mv78xx0 (BP) dev boards used in Debian infrastructure, so
> at least, would nice to not break mv78xx0 support.

Ah, very good to know. Do you know who has access to those machines
and is willing to help out with testing? Debian is probably the party
that benefits the most from the work to move mv78xx0/kirkwood/orion5x
into a single kernel together with iop32x, versatile and vt8500, so
hopefully they can help out in with the process to get there.

We should certainly make sure we don't remove those machines as long
as Debian supports them.

	Arnd